<h3>Maintenance and Security Releases</h3>
<p>View a full changelog on <a href="https://wordpress.org/plugins/awesome-support/#developers">WordPress.org</a></p>
<p><b>Version 4.3.3</b> fixed issues with logging, taxonomy custom fields and added a few new filters for use by developers.   </p>
<p><b>Version 4.3.2</b> addressed some urgent security issues, tweaked our ongoing implementation of bootstrap 4 and addressed some minor grammar issues.  </p>
<p><b>Version 4.3.1</b> fixed some urgent issues related to the changes we made for handling last reply dates in 4.3.0, added quick-start instructions and addressed some issues related to our ongoing implementation of bootstrap 4.  </p>
<p><b>Version 4.3.0</b> added new attributes to custom fields to take advantage of bootstrap 4 and fixed an urgent issue related to some add-ons.</p>
<p><b>Version 4.2.0</b> added options and related developer filters for cleaning up session transients, improved ticket filtering speed for certain filters and added options to control viewing tabs at the top of the ticket list among other fixes and improvements.</p>

<div class="changelog">
	<div class="row">
		<div>			
			<div class="about-body">
				<h1>What's New In 4.0</h1>
				<h2>Improved Ticket List And Ticket Management</h2>
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/AS-V400-WhatsNew-TicketList-01.png" alt="Improved Ticket List">					
				<p>Version 4 introduces <b>pre-configured custom fields</b> for tracking Priorities, Channels (the source of your tickets), additional agents, third parties and more!</a>.</p>
				<p><b>Sorting and filtering</b> options are substantially improved.  Now, 95% of the columns on the screen can be used for sorting and filtering.</p>
				<p>It is easier than ever to manage large volumes of tickets - Awesome Support now scales from a single person operation to the largest enterprises.</p>
				<p><b>Assign up to two additional agents</b> to each ticket without losing the flexibility to transfer tickets to any agent.</p>
			</div>
			
			<div class="about-body">
				<h2>NEW: Time Tracking</h2>
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/AS-V400-WhatsNew-TimeTracking-01.png" alt="New - Basic Time Tracking">					
				<p><b>Basic time tracking</b> at the ticket level is now available. Agents can enter the total time they spent on a ticket along with any adjustments and time related notes.</a>.</p>
				<p>Time columns can optionally be added to the primary ticket list view.</p>
				<p>Advanced automatic and manual time-tracking down to the reply level is supported via add-ons.</p>
				<p><a href="https://getawesomesupport.com/documentation/awesome-support/admin-basic-time-tracking/" target="_blank">Read the documentation</a></p>
			</div>				
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/v400/custom_field_enhancement_green.jpg" alt="Custom Fields Enhancements">
				<h3>Custom Fields Enhancements</h3>
				<p><b>New:</b> Admin Only Fields (Finally!)</p>
				<p><b>New:</b> Read Only Fields.</p>
				<p><b>New:</b> Control over where fields show up in the ticket in the admin panel.</p>
				<p><b>New:</b> Control over how the fields are displayed.</p>
				<p><b>New:</b> Custom taxonomy fields now have options for individual <em>capabilities</em>.</p>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/v400/Security.jpg" alt="Security Enhancements">
				<h3>Security Enhancements</h3>
				<p><b>New:</b> 19 additional WordPress capabilities.</p>
				<p><b>New:</b> Granular control over who can view all tickets.</p>
				<p><b>New:</b> Granular control over who can view unassigned tickets created by the email add-on.</p>
				<p><b>New:</b> Granular control over who can view your license information in the license tab. </p>
				<p><b>New:</b> Granular control over all pre-installed taxonomies such as priorities, products and departments. </p>
			</div>
		</div>
	</div>
	
	<div class="row">
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/v400/numerous_smaller_enhancements.jpg" alt="Numerous smaller Enhancements">
				<h3>Numerous Smaller Enhancements</h3>
				<p><b>New:</b> Additional options for the ticket URL/SLUG </p>
				<p><b>New:</b> Add ticket ID column to front end ticket list .</p>
				<p><b>New:</b> New options to control where an agent ends up after replying to a ticket (next ticket, previous ticket).</p>
				<p><b>New:</b> Additional action and filter hooks for developers.</p>					
				<p> Many more! <a href="https://getawesomesupport.com/major-core-update-4-0-0/" target="_blank">Read the entire change log</a>.</p>	
			</div>
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/v400/fixes.jpg" alt="Multiple bug fixes">
				<h3>And, Of Course, Multiple Bug Fixes</h3>
				<p>Clean up some PHP notices.</p>
				<p>When the agent selected "Back to List" for their "after reply" action in their personal profile, this action did not work.</p>
				<p>Updated default styles on checkbox and radio button custom fields.</p>
				<p>Product syncing is now more reliable.</p>
				<p> Many more! <a href="https://getawesomesupport.com/major-core-update-4-0-0/" target="_blank">Read the entire change log</a>.</p>	
			</div>
		</div>
	</div>				
	
	<div class="row">
		<div>			
			<div class="about-body">
				<h2>Release Notes For Version 3.0</h2>
			</div>
		</div>
	</div>				
	
	
	<div class="row">
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/about-cf.png" alt="Improved Custom Fields">
				<h3>Improved Custom Fields</h3>
				<p>This feature lets your tailor your support system to your needs, allowing you to <mark>add more fields to the ticket submission form</mark>.</p>
				<p>Since version 3.1.2, custom fields become much more powerful. They are simpler to use, and many more field types are available: checkbox, email, number, radio, text, and much more. Find all the available field types in <a href="https://getawesomesupport.com/documentation/awesome-support/custom-fields/" target="_blank">the documentation</a>.</p>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/about-autoassign.png" alt="Auto-Assignment">
				<h3>Auto-Assignment</h3>
				<p>Awesome Support comes with an "intelligent" ticket assignment system. New tickets are automatically assigned to the agent with the least open tickets.</p>
				<p>But you can also <mark>enable/disable the auto-assignation for specific users</mark> (for instance a site administrator).</p>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/about-multipleforms.png" alt="Multiple Submission Forms">
				<h3>Multiple Submission Forms</h3>
				<p>You can now create multiple submission forms for your users and pre-set values for each field. Need a for for your technical support? Create a new one and link it with the correct URL parameter to pre-populate the "type" field. More in the documentation.</p>
			</div>
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			<div class="about-body">
				<img src="<?php echo WPAS_URL; ?>assets/admin/images/about-translations.png" alt="Translated in many languages">
				<h3>Translated in many languages</h3>
				<p>Thanks to our contributors, the plugin is available in several languages. Currently the plugin is <mark>available in nearly 10 languages</mark>.</p>
				<p>To check out available translations, please visit <a href="https://getawesomesupport.com/documentation/awesome-support/translations/" target="_blank">our POEditor.com project list</a>.</p>
			</div>
		</div>
	</div>

</div>